org.apache.pdfbox.pdmodel.interactive.viewerpreferences

## Enum PDViewerPreferences.READING_DIRECTION

- java.lang.Object
- - java.lang.Enum<PDViewerPreferences.READING_DIRECTION>
  - - org.apache.pdfbox.pdmodel.interactive.viewerpreferences.PDViewerPreferences.READING_DIRECTION

All Implemented Interfaces:
  Serializable, Comparable<PDViewerPreferences.READING_DIRECTION>

Enclosing class:
  PDViewerPreferences

    public static enum PDViewerPreferences.READING_DIRECTION
    extends Enum<PDViewerPreferences.READING_DIRECTION>

Enumeration containing all valid values for ReadingDirection.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`L2R` left to right.
`R2L` right to left.

### Method Summary

All Methods Static Methods Concrete Methods
`static PDViewerPreferences.READING_DIRECTION` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDViewerPreferences.READING_DIRECTION[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### L2R

    public static final PDViewerPreferences.READING_DIRECTION L2R

left to right.

#### R2L

    public static final PDViewerPreferences.READING_DIRECTION R2L

right to left.

### Method Detail

#### values

    public static PDViewerPreferences.READING_DIRECTION[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDViewerPreferences.READING_DIRECTION c : PDViewerPreferences.READING_DIRECTION.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDViewerPreferences.READING_DIRECTION valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null